import React, { useEffect, useState } from 'react'
import PropTypes from 'prop-types'
import './index.css'

function SuperLemon (props) {
  const [number, setNumber] = useState(0)
  const [setSquaredNum] = useState(0)
  useEffect(() => {
    setSquaredNum(number * number)
  }, [number])
  return (
    <div className='nonsense'>
      <button
        className='button'
        raised
        onClick={() => setNumber(number - 1)}
      >
        -
      </button>
      <button
        className='button'
        raised
        onClick={() => setNumber(number + 1)}
      >
        +
      </button>
    </div>
  )
}

SuperLemon.propTypes = {
  name: PropTypes.string
}

export default SuperLemon
